Skip to main content

Order Wrapper API:

Description: Creates B2B order, assigns courier and initiates shipment in a single API call.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_ext_order_wrapper
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_ext_order_wrapper' \
--header 'rapidshyp-token: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
"order_id": "#B2#B_#160",
"order_date": "2026-02-04",
"store_name": "DEFAULT",
"payment_type": "COD",
"pickup_location": "DIVYA TESTqa",
"courier_code": "",
"is_to_pay": true,
"appointment_based_delivery": true,
"billing_as_shipping": true,
"shipping_address": {
"name": "Abhi",
"mobile_number": "9999999999",
"email": "",
"address_line_1": "AAAAAAAAAAAAAAAAAAA",
"address_line_2": "",
"pincode": "110002"
},
"billing_address": {
"name": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"mobile_number": "9999999999",
"email": "",
"address_line_1": "QQQQQQQQQQQQQQQQ QQQQQQQQQQQQ FFFFFFFFFFFFFFFFFFFFFF",
"address_line_2": "HELLO qqqq EEEEEEEEEEEEE AAAAAAA DDDDDDDDDDDDDDDDDDDD",
"pincode": "201301"
},
"invoices": [
{
"invoice_number": "A",
"invoice_date": "2026-01-01",
"eway_bill_number": "12345678912",
"eway_expiry_date": "2026-12-27",
"prepaid_amount": 0,
"invoice_value": 100,
"invoice_document": "https://filesamples.com/samples/image/jpeg/sample_640×426.jpeg",
"item_lines": [
{
"product_name": "ABHAA",
"sku": "ABCD",
"number_of_boxes": 3,
"dead_weight_per_box": 2,
"length": 1,
"breadth": 1,
"height": 1
}
]
}
]
}'


Request Parameters:


ParameterRequiredRemarkValidation
order_idMandatorySeller order IDMinimum 1 character. Must be unique per seller
order_dateMandatoryOrder creation dateFormat: YYYY-MM-DD. Cannot be future date
store_nameMandatoryStore name created on RapidShypIf single channel, pass "DEFAULT". Must exist in system
payment_typeMandatoryPayment modeAllowed values: COD, PREPAID. Case sensitive
pickup_locationMandatoryPickup location name created on RapidShypMust exist in seller configuration
courier_codeOptionalCourier partner codeMust be serviceable if provided
is_to_payOptionalIndicates if shipment is To-PayBoolean value (true/false)
appointment_based_deliveryOptionalFlag for appointment-based deliveryBoolean value
billing_as_shippingOptionalWhether billing address same as shippingBoolean value
shipping_addressMandatoryConsignee details objectValid object containing required fields
shipping_address.nameMandatoryConsignee nameMinimum 1 character
shipping_address.mobile_numberMandatoryConsignee phone numberMust be 10 digit number
shipping_address.emailOptionalConsignee emailMust be valid email format if provided
shipping_address.address_line_1MandatoryConsignee address line 1Between 3 and 100 characters
shipping_address.address_line_2OptionalConsignee address line 2If provided, between 3 and 100 characters
shipping_address.pincodeMandatoryConsignee pincodeMust be valid 6 digit serviceable pincode
billing_addressConditionalBilling details objectConsidered if billing_as_shipping = false
billing_address.nameMandatoryBilling nameMinimum 1 character
billing_address.mobile_numberMandatoryBilling phone numberMust be 10 digit number
billing_address.emailOptionalBilling emailMust be valid email format if provided
billing_address.address_line_1MandatoryBilling address line 1Between 3 and 100 characters
billing_address.address_line_2OptionalBilling address line 2If provided, between 3 and 100 characters
billing_address.pincodeMandatoryBilling pincodeMust be valid 6 digit pincode
invoicesMandatoryInvoice listMinimum 1 invoice required
invoices.invoice_numberMandatorySeller invoice referenceMinimum 1 character. Must be unique within order
invoices.invoice_dateMandatoryInvoice dateFormat: YYYY-MM-DD. Cannot be future date
invoices.eway_bill_numberOptionalE-Way bill numberMust be valid if provided
invoices.eway_expiry_dateOptionalE-Way bill expiry dateFormat: YYYY-MM-DD
invoices.prepaid_amountOptionalPrepaid amountNumeric value
invoices.invoice_valueMandatoryTotal invoice amountMust be greater than 0
invoices.invoice_documentOptionalInvoice document URLMust be valid URL
invoices.item_linesMandatoryItem level details for invoiceMinimum 1 item required
invoices.item_lines.product_nameMandatoryProduct descriptionBetween 3 and 200 characters
invoices.item_lines.skuMandatorySKU codeMinimum 1 character
invoices.item_lines.number_of_boxesMandatoryNumber of cartonsInteger. Must be greater than 0
invoices.item_lines.dead_weight_per_boxMandatoryWeight per boxMust be greater than 0
invoices.item_lines.lengthMandatoryBox lengthIn cm. Must be greater than 0
invoices.item_lines.breadthMandatoryBox breadthIn cm. Must be greater than 0
invoices.item_lines.heightMandatoryBox heightIn cm. Must be greater than 0

Response:

JSON

{
"status": "SUCCESS",
"remarks": "Request sent to courier for assignment. You will receive response on the configured URL.",
"orderId": "#B2#B_#161",
"orderCreated": true,
"shipment": [
{
"shipment_id": "BS260326",
"chargeable_weight": 500.0,
"payment_type": "COD",
"invoice_number": "A",
"invoice_date": "2026-01-01 00:00:01",
"eway_bill_number": "12345678912",
"eway_expiry_date": "2026-12-27 18:29:59",
"transporter_id": "88AAECO4660K1Z7",
"child_courier_code": 2000003,
"child_courier_name": "Om Logistics Express B2B",
"parent_courier_name": "OM LOGISTICS",
"prepaid_amount": 0.0,
"collectable_amount": 100.0,
"invoice_value": 100.0,
"invoice_document": "https://filesamples.com/samples/image/jpeg/sample_640×426.jpeg",
"shipment_lines": [
{
"product_name": "ABHAA",
"sku": "ABCD",
"number_of_boxes": 3,
"dead_weight_per_box": 2.0,
"length": 1.0,
"breadth": 1.0,
"height": 1.0,
"price_per_box": 0.0
}
]
}
]
}